grk_exceptions.h File Reference
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | grk::DecodeUnknownMarkerAtEndOfTileException
class | grk::PluginDecodeUnsupportedException
class | grk::CorruptJP2BoxException
class | grk::TruncatedPacketHeaderException
class | grk::SparseBufferOverrunException
class | grk::CorruptPacketException
class | grk::CorruptPacketHeaderException
class | grk::CorruptPacketDataException
class | grk::InvalidMarkerException
class | grk::BadAsocException
class | grk::CorruptMarkerException
class | grk::CorruptTLMException
class | grk::CorruptSOTMarkerException

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.